com.genesyslab.wfm7.API.service.config761

## Class CfgTeamFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgTeamFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Team information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `wmBUId` An array of BU identifiers.
    `private int` | `wmBUIdNSizeIs` Number of elements in the wmBUId array
    `private int[]` | `wmSiteId` An array of Site identifiers.
    `private int` | `wmSiteIdNSizeIs` Number of elements in the wmSiteId array
    `private int[]` | `wmTeamId` An array of Team identifiers.
    `private int` | `wmTeamIdNSizeIs` Number of elements in the wmTeamId array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamFilter()`
    `CfgTeamFilter(int wmBUIdNSizeIs, int[] wmBUId, int wmSiteIdNSizeIs, int[] wmSiteId, int wmTeamIdNSizeIs, int[] wmTeamId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getWmBUId()` Gets the wmBUId value for this CfgTeamFilter.
    `int` | `getWmBUIdNSizeIs()` Gets the wmBUIdNSizeIs value for this CfgTeamFilter.
    `int[]` | `getWmSiteId()` Gets the wmSiteId value for this CfgTeamFilter.
    `int` | `getWmSiteIdNSizeIs()` Gets the wmSiteIdNSizeIs value for this CfgTeamFilter.
    `int[]` | `getWmTeamId()` Gets the wmTeamId value for this CfgTeamFilter.
    `int` | `getWmTeamIdNSizeIs()` Gets the wmTeamIdNSizeIs value for this CfgTeamFilter.
    `int` | `hashCode()`
    `void` | `setWmBUId(int[] wmBUId)` Sets the wmBUId value for this CfgTeamFilter.
    `void` | `setWmBUIdNSizeIs(int wmBUIdNSizeIs)` Sets the wmBUIdNSizeIs value for this CfgTeamFilter.
    `void` | `setWmSiteId(int[] wmSiteId)` Sets the wmSiteId value for this CfgTeamFilter.
    `void` | `setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)` Sets the wmSiteIdNSizeIs value for this CfgTeamFilter.
    `void` | `setWmTeamId(int[] wmTeamId)` Sets the wmTeamId value for this CfgTeamFilter.
    `void` | `setWmTeamIdNSizeIs(int wmTeamIdNSizeIs)` Sets the wmTeamIdNSizeIs value for this CfgTeamFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUIdNSizeIs

          private int wmBUIdNSizeIs

      Number of elements in the wmBUId array

    - #### wmBUId

          private int[] wmBUId

      An array of BU identifiers. When specified, defines a filter of Business Units that returned Teams must belong to.

    - #### wmSiteIdNSizeIs

          private int wmSiteIdNSizeIs

      Number of elements in the wmSiteId array

    - #### wmSiteId

          private int[] wmSiteId

      An array of Site identifiers. When specified, defines a filter of Sites that returned Teams must belong to.

    - #### wmTeamIdNSizeIs

          private int wmTeamIdNSizeIs

      Number of elements in the wmTeamId array.

    - #### wmTeamId

          private int[] wmTeamId

      An array of Team identifiers. When specified, narrows Team selection to specific Teams. Note that, if wmSiteId (or wmBUId) filter is specified, then wmTeamId filter applies only to Sites that specified Teams belong to, This allows constructing a filter that requests all Teams from one Site but only specific Teams from another Site. The wmTeamId filter can be used without wmSiteId filter specified but once wmSiteId filter is specified then all Teams in wmTeamId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTeamFilter

          public CfgTeamFilter()

    - #### CfgTeamFilter

          public CfgTeamFilter(int wmBUIdNSizeIs,
                       int[] wmBUId,
                       int wmSiteIdNSizeIs,
                       int[] wmSiteId,
                       int wmTeamIdNSizeIs,
                       int[] wmTeamId)

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the wmBUIdNSizeIs value for this CfgTeamFilter.
      Returns:
        wmBUIdNSizeIs

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int wmBUIdNSizeIs)

      Sets the wmBUIdNSizeIs value for this CfgTeamFilter.
      Parameters:
        `wmBUIdNSizeIs` -

    - #### getWmBUId

          public int[] getWmBUId()

      Gets the wmBUId value for this CfgTeamFilter.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int[] wmBUId)

      Sets the wmBUId value for this CfgTeamFilter.
      Parameters:
        `wmBUId` -

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the wmSiteIdNSizeIs value for this CfgTeamFilter.
      Returns:
        wmSiteIdNSizeIs

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)

      Sets the wmSiteIdNSizeIs value for this CfgTeamFilter.
      Parameters:
        `wmSiteIdNSizeIs` -

    - #### getWmSiteId

          public int[] getWmSiteId()

      Gets the wmSiteId value for this CfgTeamFilter.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int[] wmSiteId)

      Sets the wmSiteId value for this CfgTeamFilter.
      Parameters:
        `wmSiteId` -

    - #### getWmTeamIdNSizeIs

          public int getWmTeamIdNSizeIs()

      Gets the wmTeamIdNSizeIs value for this CfgTeamFilter.
      Returns:
        wmTeamIdNSizeIs

    - #### setWmTeamIdNSizeIs

          public void setWmTeamIdNSizeIs(int wmTeamIdNSizeIs)

      Sets the wmTeamIdNSizeIs value for this CfgTeamFilter.
      Parameters:
        `wmTeamIdNSizeIs` -

    - #### getWmTeamId

          public int[] getWmTeamId()

      Gets the wmTeamId value for this CfgTeamFilter.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int[] wmTeamId)

      Sets the wmTeamId value for this CfgTeamFilter.
      Parameters:
        `wmTeamId` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.